package shop.alien.util.system;

/**
 * 获取系统类型
 *
 * @author ssk
 * @version 1.0
 * @date 2022/11/17 9:59
 */
public class OSUtil {

    /**
     * 获取系统类型
     *
     * @return
     */
    public static String getOsName() {
        String osName;
        String os = System.getProperty("os.name");
        if (os != null && os.toLowerCase().startsWith("windows")) {
            osName = "windows";
        } else if (os != null && os.toLowerCase().startsWith("linux")) {
            osName = "linux";
        } else { //其它操作系统
            osName = "other";
        }
        return osName;
    }

    public static void main(String[] args) {
        String os = System.getProperty("os.name");
        System.out.println(os);
        //Windows操作系统
        if (os != null && os.toLowerCase().startsWith("windows")) {
            System.out.println(String.format("当前系统版本是:%s", os));
        } else if (os != null && os.toLowerCase().startsWith("linux")) {//Linux操作系统
            System.out.println(String.format("当前系统版本是:%s", os));
        } else { //其它操作系统
            System.out.println(String.format("当前系统版本是:%s", os));
        }
    }

}
